# vim: set syntax=conf:

# kea-dhcp ipv4 config
{
  "Dhcp4" : {
    # interfaces
    "interfaces-config": {
      "interfaces": [ "{{proxy.internal.ifx}}" ],
      "dhcp-socket-type": "raw"
    },
    "control-socket": {
      "socket-type": "unix",
      #TODO consider listening on just the virtual ip address and relaying ftw
      "socket-name": "/tmp/kea-dhcp4-ctrl.sock"
    },

    # additional functionality to load through hooks
    #"hooks-libraries": [
      #{
        # programatically contorl leases through keactl http interface
        #"library": "/usr/local/lib/hooks/libdhcp_lease_cmds.so"
      #}
    #],

    # dhcp parameters
    "valid-lifetime": 4000,
    "renew-timer": 1000,
    "rebind-timer": 2000,

    "shared-networks": [
      # General infrastructure network
      {
        "name": "infra-net",
        "interface": "{{proxy.internal.ifx}}",
        "subnet4": [
          {
            "subnet": "{{ proxy.internal.network }}/{{ proxy.internal.prefix }}",
            "pools": [
              { "pool": "{{ proxy.internal.network | ipmath(10) }} - {{ proxy.internal.network | ipmath(254)}}" }
            ],
            "option-data": [
              { 
                "name": "domain-name-servers", 
                "code": 6, 
                "csv-format": true,
                "data": "{{ proxy.0.internal.ip.addr }}, {{ proxy.1.internal.ip.addr }}"
              },
              { 
                "name": "domain-search", 
                "code": 119, 
                "data": "portal.{{ domain }}" 
              },
              { 
                "name": "routers", 
                "code": 3, 
                "data": "{{ proxy.internal.virtual_ip }}" 
              }
            ]
          }
        ]
      }
    ],
    "lease-database" : {
      "type": "mysql",
      "name": "kea_leases",
      "host": "localhost",
      "user": "{{data.user}}",
      "password": "{{data.password}}"
    }
  },

  "Logging":
  {
    "loggers": [
      {
        "name": "kea-dhcp4",
          "output_options": [
          {
            "output": "/var/log/kea.log"

              // This governs whether the log output is flushed to disk after
              // every write.
              // "flush": false,

              // This specifies the maximum size of the file before it is
              // rotated.
              // "maxsize": 1048576,

              // This specifies the maximum number of rotated files to keep.
              // "maxver": 8
          }
        ],
        // This specifies the severity of log messages to keep. Supported values
        // are: FATAL, ERROR, WARN, INFO, DEBUG
        "severity": "DEBUG",

        // If DEBUG level is specified, this value is used. 0 is least verbose,
        // 99 is most verbose. Be cautious, Kea can generate lots and lots
        // of logs if told to do so.
        "debuglevel": 99
      }
    ]
  }
}
